%define module_version 0.06
%define module_name Net-Plywood-Simple
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(HTTP/Tiny.pm) perl(JSON.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Test/Simple.pm) perl(Try/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: A simple Perl5 interface to the Erlang "Plywood" tree-object storage and convergence server.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SU/SUTT/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module is a simple wrapper around "Plywood", a hierarchical data storage
and retrieval database written in Erlang. The database can be cloned from:
_https://github.com/ricecake/plywood
The basic premise is to store, retrieve, and search for nodes in large JSON
tree structures that can be merged together.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README Todo LICENSE
%perl_vendor_privlib/N*

%files scripts
%_bindir/*

%changelog
* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Wed Dec 24 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

